import { HtmlFrameworkPlugin, HtmlPluginOptions } from '@vtex/micro-core';
import { Extractor } from './cjsChunkExtractor';
declare class Html extends HtmlFrameworkPlugin<JSX.Element> {
    extractor: Extractor;
    constructor(options: HtmlPluginOptions);
    renderToString: (element: JSX.Element | null) => string;
    requireEntrypoint: () => JSX.Element;
    getScriptTags: () => string;
    getStyleTags: () => any;
    getLinkTags: () => string;
    getMetaTags: () => string;
}
declare const _default: {
    html: typeof Html;
};
export default _default;
